﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SessionManager.aspx.cs" Inherits="WebApplication1.SessionManager" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link href="style.css" rel="stylesheet" type="text/css" />
    
    <script type="text/javascript" language="javascript">
    
    function SelectAllCheckboxes(spanChk)
    {
    alert("here");
        // Added as ASPX uses SPAN for checkbox
        var oItem = spanChk.children;
        var theBox= (spanChk.type=="checkbox") ? spanChk : spanChk.children.item[0];
        xState=theBox.checked;
        elm=theBox.form.elements;

        for(i=0;i<elm.length;i++)
        {
            if(elm[i].type=="checkbox" && elm[i].id!=theBox.id)
            {
                //elm[i].click();
                if(elm[i].checked!=xState)
                    elm[i].click();
                //elm[i].checked=xState;
            }
        }
    }
    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    <span style="font-family: Verdana; font-size: 16px; font-weight: bold; color: #8c8c8c">
        Welcome to the Citrix self-service session reset application
        </span>
        <br />
        <br />
        You may click the logoff button to focefully log off your selected session.<br />
        <br />
        Currently logged in as
        <asp:Label ID="lblUsername" runat="server"></asp:Label><br />
        <br />
        <asp:GridView ID="gvSessions" runat="server" AutoGenerateColumns="False" BorderColor="Black"
            BorderStyle="Solid" BorderWidth="1px" CellPadding="4" ForeColor="#333333" GridLines="None"
            >
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:TemplateField>
                    <ItemStyle HorizontalAlign="Center" />
                    <ItemTemplate>
                        <asp:CheckBox ID="chkSelect" runat="server" />
                    </ItemTemplate>
                    <HeaderTemplate>
                        <input id="chkAll" onclick="javascript:SelectAllCheckboxes(this);" runat="server" type="checkbox" />

                    </HeaderTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="UserName" HeaderText="User" >
                    <ItemStyle HorizontalAlign="Left" />
                </asp:BoundField>
                <asp:BoundField DataField="ServerName" HeaderText="Server" >
                    <ItemStyle HorizontalAlign="Left" />
                </asp:BoundField>
                <asp:BoundField HeaderText="Application" DataField="Application" >
                    <ItemStyle HorizontalAlign="Left" />
                </asp:BoundField>
                <asp:BoundField DataField="ClientName" HeaderText="Client Name" >
                    <ItemStyle HorizontalAlign="Left" />
                </asp:BoundField>
                <asp:BoundField DataField="SessionName" HeaderText="Session Name" >
                    <ItemStyle HorizontalAlign="Left" />
                </asp:BoundField>
                <asp:BoundField DataField="SessionID" HeaderText="Session ID" >
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="SessionState" HeaderText="State" >
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="LogonTime" HeaderText="Logon Time" >
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
            </Columns>
            <RowStyle BackColor="#EFF3FB" />
            <EmptyDataTemplate>
                There are currently no sessions for you on the farm.
            </EmptyDataTemplate>
            <EditRowStyle BackColor="#2461BF" />
            <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <br />
        <asp:Button ID="Button1" runat="server" Text="Logoff selected session(s)..." 
            BorderColor="Black" BorderStyle="Solid" BorderWidth="1px" 
            OnClientClick="if(confirm('Warning:\nThis will log off all your sessions.  Are you sure you want to continue?')) { window.open('SessionLogoff.asp', 'logoffSessions', 'width=500px, height=400px, directories=yes, menubar=no, resizable=yes, status=yes, toolbar=no, scrollbars=yes'); return true; }" 
            onclick="Button1_Click" />

    
    </div>
    </form>
</body>
</html>
