﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Management.Automation;
using System.Management.Automation.Runspaces;

using Citrix.Management.Automation;
using Citrix.XenApp.Sdk;
using Citrix.XenApp.Commands;


namespace WebApplication1
{
    public partial class PublishApplication : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            NewXAApplicationByName newXAapp = new NewXAApplicationByName(ApplicationType.ServerInstalled, tbAppName.Text);
            newXAapp.CommandLineExecutable = tbCmdLine.Text;
            newXAapp.Accounts = new[] { tbUser.Text };
            newXAapp.ServerNames = new[] { tbServer.Text };

            CitrixRunspaceFactory.DefaultRunspace.ExecuteCommand(newXAapp);
        }
    }
}
